umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
StateDialog Class Reference

`#include <statedialog.h>`

Inheritance diagram for StateDialog:

## Classes
struct | GeneralPageWidgets

## Public Member Functions
| StateDialog (QWidget *parent, StateWidget *pWidget)
bool | getChangesMade () const
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Slots
void | slotOk ()
void | slotApply ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)

## Protected Member Functions
void | setupPages ()
void | setupGeneralPage ()
void | setupActivityPage ()
void | applyPage (KPageWidgetItem *item)
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Protected Attributes
ActivityPage * | m_pActivityPage
StateWidget * | m_pStateWidget
| the widget to represent
bool | m_bChangesMade
| holds whether changes in the dialog have been made
struct StateDialog::GeneralPageWidgets | m_GenPageWidgets
KPageWidgetItem * | pageStyle
KPageWidgetItem * | pageActivity
KPageWidgetItem * | pageFont
KPageWidgetItem * | pageGeneral
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()

## Detailed Description

Displays the properties for a StateWidget

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ StateDialog()

StateDialog::StateDialog | ( | QWidget * | parent,
|  | StateWidget * | pWidget )

Constructor.

## Member Function Documentation

## ◆ applyPage()

void StateDialog::applyPage | ( | KPageWidgetItem * | item | ) |
| protected

Applies changes to the given page.

## ◆ getChangesMade()

bool StateDialog::getChangesMade | ( |  | ) | const
| inline

Returns whether changes were made.

## ◆ setupActivityPage()

void StateDialog::setupActivityPage | ( |  | ) |
| protected

Sets up the activity page.

## ◆ setupGeneralPage()

void StateDialog::setupGeneralPage | ( |  | ) |
| protected

Sets up the general page of the dialog.

## ◆ setupPages()

void StateDialog::setupPages | ( |  | ) |
| protected

Sets up the pages of the dialog.

## ◆ slotApply

void StateDialog::slotApply | ( |  | ) |
| protected slot

Entered when Apply button pressed.

## ◆ slotOk

void StateDialog::slotOk | ( |  | ) |
| protected slot

Entered when OK button pressed.

## Member Data Documentation

## ◆ m_bChangesMade

bool StateDialog::m_bChangesMade
| protected

holds whether changes in the dialog have been made

## ◆ m_GenPageWidgets

struct StateDialog::GeneralPageWidgets StateDialog::m_GenPageWidgets
| protected

## ◆ m_pActivityPage

ActivityPage* StateDialog::m_pActivityPage
| protected

## ◆ m_pStateWidget

StateWidget* StateDialog::m_pStateWidget
| protected

the widget to represent

## ◆ pageActivity

KPageWidgetItem * StateDialog::pageActivity
| protected

## ◆ pageFont

KPageWidgetItem * StateDialog::pageFont
| protected

## ◆ pageGeneral

KPageWidgetItem * StateDialog::pageGeneral
| protected

## ◆ pageStyle

KPageWidgetItem* StateDialog::pageStyle
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/statedialog.h
- umbrello/dialogs/statedialog.cpp